/*
 * Project name:
     GarageDoor
 * Done by:
     Danny H. Newport, Apr. 20, 2005
 * Description:
     This circuit uses port B for output to leds to indicate when the garage 
     door is open and closed.  It uses port a pins 1 & 2 for the door switches
 * Test configuration:
     MCU:             P16F84A
     Dev.Board:       Custom
     Oscillator:      HS, 04.0000 MHz
     Modules:         
     SW:              mikroC v1.01
*/
//int oldstate;
void main() {
  TRISB = 0;           // PORTB is output
  TRISA = 0XFF;        //PORTA IS INPUT
    
  do {
    //check for both buttons off
    while ((Button(&PORTA, 1, 1, 0)&&Button(&PORTA, 0, 1, 0))) {
    PORTB = 0x0f;      
    Delay_ms(500);
    PORTB = 0XF0;
    Delay_ms(500);
    }
    //check for both buttons on
    while((Button(&PORTA, 1, 1, 1)&&Button(&PORTA, 0, 1, 1)))
    {
    PORTB = 0x0f;      
    Delay_ms(500);
    PORTB = 0XF0;
    Delay_ms(500); 
    }
    //door is down
    while ( Button(&PORTA, 1, 1, 1)&&Button(&PORTA, 0, 1, 0))
    { 
     PORTB = 0x0F  ;  
    }
    //door is up
    while ( Button(&PORTA, 1, 1, 0)&&Button(&PORTA, 0, 1, 1))
    {
     PORTB = 0xf0  ;  
    }
  

  } while(1);
}//~!
